Public Member Functions | Public Attributes | Friends | List of all members
StarObjectSmallGraphicInternal::SdrGraphicEdge::Information Struct Reference

the information record More...

## Public Member Functions
| Information ()
| constructor

## Public Attributes
STOFFVec2i | m_points [5]
| some points: obj1Line2, obj1Line3, obj2Line2, obj2Line3, middleLine
int | m_angles [2]
| two angles
int | m_n [3]
| some values: nObj1Lines, nObj2Lines, middleLines
int | m_orthoForm
| orthogonal form

## Friends
std::ostream & | operator<< (std::ostream &o, Information const &info)
| operator=

## Detailed Description

the information record

## Constructor & Destructor Documentation

## ◆ Information()

StarObjectSmallGraphicInternal::SdrGraphicEdge::Information::Information | ( |  | ) |
| inline

constructor

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Information const & | info )
| friend

operator=

## Member Data Documentation

## ◆ m_angles

int StarObjectSmallGraphicInternal::SdrGraphicEdge::Information::m_angles[2]

two angles

Referenced by Information().

## ◆ m_n

int StarObjectSmallGraphicInternal::SdrGraphicEdge::Information::m_n[3]

some values: nObj1Lines, nObj2Lines, middleLines

Referenced by Information().

## ◆ m_orthoForm

int StarObjectSmallGraphicInternal::SdrGraphicEdge::Information::m_orthoForm

orthogonal form

## ◆ m_points

STOFFVec2i StarObjectSmallGraphicInternal::SdrGraphicEdge::Information::m_points[5]

some points: obj1Line2, obj1Line3, obj2Line2, obj2Line3, middleLine

The documentation for this struct was generated from the following file:

- StarObjectSmallGraphic.cxx